#!/bin/bash
mvn clean
mvn package -Dmaven.test.skip=true
#image_version=$(date +%Y%m%d%H%M)
image_version=$version
docker stop dipperposition_service || true
docker rm dipperposition_service || true

# 删除镜像
docker rmi -f $(docker images | grep telpo/dipperposition_service | awk '{print $3}')

docker build . -t telpo/dipperposition_service:$image_version

#TODO:推送镜像到私有仓库
echo '=================开始推送镜像======================='
docker tag telpo/dipperposition_service:$image_version 139.224.254.18:5000/dipperposition_service:$image_version
docker push 139.224.254.18:5000/dipperposition_service:$image_version
echo '=================推送镜像完成======================='

#删除产生的None镜像
docker rmi -f $(docker images | grep none | awk '{print $3}')
# 查看镜像列表
docker images
# 启动容器
docker run -v /home/data/dipperposition/log:/var/log/dipperposition -d -e active=test --network host --restart=always -p 9011:9011  --name dipperposition_service 139.224.254.18:5000/dipperposition_service:$image_version
# 查看日志
# docker logs dipperposition_service
