package com.telpo.dipperposition.annotation;

import java.lang.annotation.*;

/**
 * @program: DataPushServer
 * @description: mongo数据源切换注解
 * @author: linwl
 * @create: 2020-07-11 15:06
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface MongoSwitch {

  /**
   * mongo数据库名称
   *
   * @return
   */
  String value() default "";
}
