package com.telpo.dipperposition.mapper;

import com.telpo.dipperposition.annotation.MongoSwitch;
import com.telpo.dipperposition.entity.mongo.IPProvinceEntity;
import db.BaseMongoDbDao;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @program: DataPushServer
 * @description: 推送记录mapper
 * @author: linwl
 * @create: 2020-07-20 11:12
 */
@Repository
public class IPProvinceMapper extends BaseMongoDbDao<IPProvinceEntity> {

  @Override
  protected Class<IPProvinceEntity> getEntityClass() {
    return IPProvinceEntity.class;
  }

  @Override
  @MongoSwitch("common")
  public void save(IPProvinceEntity entity, String collectionName) {
    super.save(entity, collectionName);
  }

  @Override
  @MongoSwitch("common")
  public void updateFirst(IPProvinceEntity srcObj, IPProvinceEntity targetObj) {
    super.updateFirst(srcObj, targetObj);
  }

  @Override
  public List<IPProvinceEntity> getPage(IPProvinceEntity object, int start, int size) {
    return super.getPage(object, start, size);
  }

  @Override
  @MongoSwitch("common")
  public List<IPProvinceEntity> queryList(IPProvinceEntity object) {
    return super.queryList(object);
  }

  @Override
  @MongoSwitch("common")
  public List<IPProvinceEntity> queryList(IPProvinceEntity object, String collectionName) {
    return super.queryList(object, collectionName);
  }

  @Override
  @MongoSwitch("common")
  public void deleteById(String id) {
    super.deleteById(id);
  }
}
